<?php

function mytheme_pic_options($wp_customize){
		$wp_customize->add_section('mytheme_pic_options', array(
        'title'    => __('顶部全屏轮播焦点图', 'mytheme'),
        'description' => '通过这个选项设置焦点图的一些选项，全屏轮播的pc焦点图宽度为1920像素，移动端为1024像素，高度自定义，图片会自动缩放',
        'priority' => 60,
    ));
	
	
	
	
  $wp_customize->add_setting('mytheme_big_pic_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_big_pic_nav', array(
        'label'    => __('PC焦点图调用的菜单', 'mytheme_big_pic_nav'),
        'section'  => 'mytheme_pic_options',
        'settings' => 'mytheme_big_pic_nav',
		'description' => '焦点图是使用菜单调用的，这样你可以轻松的添加、删除和调整顺序，请在外观--菜单中创建一个菜单，并在“图像描述”处上传图片【不选择菜单则不显示】',
     )
    )); 
	
	
	   $wp_customize->add_setting('mytheme_big_pic_modle', array(
         'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_big_pic_modle', array(
        'label'      => __('焦点图显示尺寸（pc）', 'mytheme_big_pic_modle'),
        'section'    => 'mytheme_pic_options',
        'settings'   => 'mytheme_big_pic_modle',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认全屏轮播',
            'yes' => '标准轮播',
			
        ),
		'description' => '选择焦点图的尺寸，标准轮播将会和下面的模块宽度一致,全屏轮播图片高度为1920像素，标准轮播宽度为1226像素，高度自定义并且保持图片尺寸一致',
    )); 
	
	
		
  $wp_customize->add_setting('mytheme_big_pic_nav_m', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_big_pic_nav_m', array(
        'label'    => __('移动版焦点图调用的菜单', 'mytheme_big_pic_nav_m'),
        'section'  => 'mytheme_pic_options',
        'settings' => 'mytheme_big_pic_nav_m',
		'description' => '若你想要手机版上和pc版不同的焦点图，那么请新建一个手机版的菜单并选择，否则会继承pc版本的焦点图【不选择菜单则不显示】',
     )
    )); 
	
	
	 
	   $wp_customize->add_setting('mytheme_big_pic_seo', array(
         'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_big_pic_seo', array(
        'label'      => __('是否使用html5标签section', 'mytheme_big_pic_seo'),
        'section'    => 'mytheme_pic_options',
        'settings'   => 'mytheme_big_pic_seo',
		'type'    => 'select',
		 'choices'    => array(
            '' => '不使用',
            'value2' => '使用',
			 
           
        ),
		'description' => '若选择使用，焦点图区域会使用HTML5标签section进行包裹',
    )); 
	
	

	
	   $wp_customize->add_setting('mytheme_big_pic_flip', array(
         'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_big_pic_flip', array(
        'label'      => __('焦点图切换模式', 'mytheme_big_pic_flip'),
        'section'    => 'mytheme_pic_options',
        'settings'   => 'mytheme_big_pic_flip',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认左右切换',
            'fade' => '淡入淡出',
			'cube' => '3D立方轴滚动',     
        ),
		'description' => '选择焦点图的切换效果',
    )); 
	
	


$wp_customize->add_setting('mytheme_big_pic_nav3', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_big_pic_nav3', array(
        'label'      => __('自动轮播时间（不自动请留空）,单位秒 ', 'mytheme_big_pic_nav3'),
        'section'    => 'mytheme_pic_options',
        'settings'   => 'mytheme_big_pic_nav3',
		 'description' => '选项不填写则整个模块不会显示',
    ));
	
	
	};
add_action('customize_register', 'mytheme_pic_options');

 ?>