<?php 

class images extends WP_Widget {

	function images()
	{
		$widget_ops = array('classname'=>'images','description' => get_bloginfo('template_url').'/images/xuanxiang/3.gif');
		$control_ops = array('width' => 200, 'height' => 300);
		parent::__construct($id_base="images",$name='图片/视频/广告位置',$widget_ops,$control_ops);  

	}

	function form($instance) { 

	   
		$title = esc_attr($instance['title']);
        $detects=esc_attr($instance['detects']);
	    $seo_out1 = esc_attr($instance['seo_out1']);
	

		$img=esc_attr($instance['img']);
		$img_url=esc_attr($instance['img_url']);
	
		$fixed=esc_attr($instance['fixed']);  
		$htmls  =esc_attr($instance['htmls']); 
		$padding=esc_attr($instance['adding']);
	?>
<p style="display:block; width:100%; border-bottom:1px #333333 solid; padding:5px; margin:5px;"><strong>模块属性设置</strong></p>







<p>
 <label  for="<?php echo $this->get_field_id('title'); ?>">标题:</label> 
<input type="text" size="40" value="<?php echo $title ; ?>" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>"/>
 <em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">标题不会在网页中显示，这里的标题是在后台编辑时方便你的识别以及输出图像的描述</em>
</p>







<p>
 <label  for="<?php echo $this->get_field_id('img'); ?>">配图</label><br />
 <input type="text" size="40" value="<?php echo $img ; ?>" name="<?php echo $this->get_field_name('img'); ?>" id="<?php echo $this->get_field_id('img'); ?>"/>
  <a id="ashu_upload" class="left_right_upload_button button" href="#">上传</a>
  <em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">70%区域中图片尺寸为900像素宽度，高度自定义。30%区域中图片尺寸为310像素高度自定义</em>

</p>

<p>
 <label  for="<?php echo $this->get_field_id('img_url'); ?>">配图链接</label><br />
 <input type="text" size="40" value="<?php echo $img_url ; ?>" name="<?php echo $this->get_field_name('img_url'); ?>" id="<?php echo $this->get_field_id('img_url'); ?>"/>

</p>

<p><label for="<?php echo $this->get_field_id('htmls'); ?>"><?php esc_attr_e('代码或者文字'); ?> 

<textarea style="width:96%" id="<?php echo $this->get_field_id('htmls'); ?>" name="<?php echo $this->get_field_name('htmls'); ?>"cols="52" rows="4" ><?php echo stripslashes($htmls); ?></textarea>    
</label>
<em>这里输入的内容支持html代码或者js代码，也支持文本<br />
文本输入时，可以外套P标签如< p> 关于我们< /p>，空行使用< br >(实际输入时，删除p之前的空格，删除br前后空格即可)</em>
</p>




<p>
 <label  for="<?php echo $this->get_field_id('fixed'); ?>">是否悬浮</label>
 <input type="checkbox" <?php if($fixed=="fixed_m"){echo 'checked="checked"';} ?>size="40" value="fixed_m" name="<?php echo $this->get_field_name('fixed'); ?>" id="<?php echo $this->get_field_id('fixed'); ?>"/>
 <em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">悬浮功能可放入30%宽度布局和侧边栏最后，每一个位置只能放一个悬浮模块，移动设备和70%布局无效(注意：悬浮模块浏览器到设置的布局区域最底部时出现，在顶部不显示)</em>

 </p>

 <p>
 <label  for="<?php echo $this->get_field_id('seo_out1'); ?>">外层标签使用section</label>
 <input type="checkbox" <?php if($seo_out1=="yes"){echo 'checked="checked"';} ?>size="40" value="yes" name="<?php echo $this->get_field_name('seo_out1'); ?>" id="<?php echo $this->get_field_id('seo_out1'); ?>"/>
 </p>
 
 

<p>
<label for="<?php echo $this->get_field_id('detects'); ?>">设备识别</label>
			<select >
				<option value="">移动端和PC端都显示</option>
                <option >只显示在PC端</option>
                <option >只显示在移动端</option>

</select>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">【付费主题解锁】付费主题可支持移动设备访问，可通过此选项控制移动端和pc端输出的内容</em>
</p>


	<?php
    }
	function update($new_instance, $old_instance) { // 更新保存
		return $new_instance;
	}
	function widget($args, $instance) { // 输出显示在页面上
	extract( $args );
	   
	

	  
		$title  = apply_filters('widget_title', empty($instance['title']) ? __('') : $instance['title']);	
		$seo_out1 = apply_filters('seo_out1', empty($instance['seo_out1']) ? __('') : $instance['seo_out1']);
	    $detects= apply_filters('detects', empty($instance['detects']) ? __('0') : $instance['detects']); 
		$img=apply_filters('img', empty($instance['img']) ? __('') : $instance['img']);
		$img_url=apply_filters('img_url', empty($instance['img_url']) ? __('') : $instance['img_url']);
		$fixed=apply_filters('fixed', empty($instance['fixed']) ? __('0') : $instance['fixed']);
        $htmls=apply_filters('htmls', empty($instance['htmls']) ? __('0') : $instance['htmls']);
        $padding=apply_filters('padding', empty($instance['padding']) ? __('0') : $instance['padding']);
	

 ?> 

 <?php
 if($img||$htmls){
  if($seo_out1){echo '<section id="images" class="'.$detects.' modle_box '.$fixed.'">';}else{echo ' <div id="images" class="'.$detects.' modle_box '.$fixed.'">';}  

if($img){ echo '<a target="_blank" href="'.$img_url.'"> <figure><img src="'.chact_url_http($img).'" alt="'.$title.'" /> <figcaption>'.$title.'</figcaption></figure></a>';}
if($htmls){echo  stripslashes($htmls);}

 if($seo_out1){echo '</section>';}else{echo '</div>';}} ?>
        <?php
	}
}
register_widget('images');
?>